<?php
declare (strict_types = 1);

namespace app\admin\model\v1;

use app\common\model\SysConfigGroupBaseModel;
use think\model\concern\SoftDelete;

/**
 * 系统配置分组模型
 * @mixin \think\Model
 */
class SysConfigGroupModel extends SysConfigGroupBaseModel
{
    // 启用软删除
    use SoftDelete;
    // 软删除字段
    protected $deleteTime = 'deleted_at';

    // 按语言搜索
    public function scopeLanguage($query, $value)
    {
        $query->where('language_id', '=', $value);
    }

    // 获取启用的配置分组
    public function scopeEnabled($query)
    {
        $query->where('status', '=', 1);
    }
}
